# Chat Sounds
#### by Evaisa <3

**[ AudioEngineFix is required for this mod to work, please install it ]**

**This mod adds 400+ chat sounds that play from your player when you say the sound name in chat.**
It works in multiplayer and runs entirely locally so if you have the mod installed and others don't you will still hear sounds when others type them out.

 * Sounds can be stacked by having multiple in a message.
 
 * You can also create a modified sound by using curly brackets
   For example as such `{1.0, 0.0, poggers}`. 
   The format for this is `{pitch, delay, sound}`.
   You can string sounds together aswell using this, for example `{1.0, 0.0, poggers; 1.0, 0.5, ahoy}`.
   The individual parts are seperated by semicolons if you string multiple together.
   
 * You can install custom sounds by simply dropping them in `config/ChatSounds/Custom Sounds`.
   Only `.ogg` and `.wav` files are supported.
   The name of the sound is the phrase used to activated it.
   
 * You can configure a activation character in the config, for example so that only "#poggers" will trigger the sound. 
 * You can also disable all default sounds in the config.
 * You can remove individual sounds by removing them from the default folder in the plugin's folder. 
   Do note that they will get readded when the mod updates if you are using r2modman.

   
Video of the mod:
https://www.youtube.com/watch?v=fajxEjkI0pg

Here is a list of sounds: 
https://ghostbin.co/paste/epejb

If you want to bind chat messages to keys take a look at my other mod:
https://thunderstore.io/package/evGiac/KeybindsGalore/


### Patch Notes:


1.3.5

* Volume is now adjusted when adjusting sound effects volume slider.


1.3.1

* Fix default pitch.


1.3.0

* Added sound modifiers, you can change the pitch and delay of sounds.


1.2.0

* Moved custom sounds to the config folder.
* Now works properly with r2modman.
* Added config option to disable all default sounds.


1.1.1

* It is case insensitive now.


1.1.0

* You can now add custom sounds.
* Created a folder for sounds, sounds can now be removed.
* Added the ability to set a activation character so that sounds don't accidentally get triggered.
* Now works locally, individual players can have the mod installed, not everyone needs it. 


1.0.1

* Add some new sounds because we didn't have enough already.


1.0.0

* Released the mod.


## Installation

* Drop the ChatSounds folder from the plugins folder in the zip in your plugins folder.
* Use r2modman for easier install of mods.
